题 我下载什么来获得Apache 2.0.x + PHP 4.4.x环境?


我下载什么(在Windows机器上)以获得Apache 2.0.55 + PHP 4.4.7环境?我可以使用较新版本的PHP和Apache,但是如果我想在旧的SunOS服务器上模拟具有较旧版本的Apache和PHP的环境。任何人都可以推荐我应该使用的下载以及从何处获取它们?


5
2017-08-15 16:29




我想我会尝试在VirtualBox会话中使用OpenSUSE 9.1,如果可以的话,一切都很好。 - djangofan


答案:


首先,你清楚地告诉那些运行这个软件的人他们是个白痴,他们需要尽快迁移它。您可以引用缺乏供应商支持,已知安全漏洞以及任何其他问题来说服他们。

然后从中下载相应的Apache源代码tarball Apache归档站点,以及旧版本的PHP 他们的发布历史页面 并使用适当的选项自行编译。

最后,您计划,测试并最终执行到写入软件的迁移 本世纪 :-)


3
2017-08-15 16:37



谢谢,PHP发布历史页面可能就是我需要的。 - djangofan
不要忘记从中获取编译选项 <?PHP phpinfo(); ?> 和 httpd -V (旧的1.x apache编译模块列表(httpd -l)也许有用,如果你愿意,你需要一个1.x mod_ssl https:// 支持) - voretaq7
对不起,我对Apache版本错了。我解决了我的问题。谢谢您的帮助。我会结束这个问题。 - djangofan